<?php


namespace FiloBlu\PaymentMethodFilter\Model\Config\Source;

class FilterCondition implements \Magento\Framework\Option\ArrayInterface
{

    public function toOptionArray()
    {
        return [
            ['value' => '*', 'label' => __('- Any -')],
            ['value' => 'giftcard', 'label' => __('Gift Card in Cart')],
            ['value' => 'products', 'label' => __('Products in Cart')],
            ['value' => 'product_custom_options', 'label' => __('Product Custom Options in Cart')],
            ['value' => 'product_attributes', 'label' => __('Product Attributes in Cart')],
        ];
    }

    public function toArray()
    {
        return ['*' => __('- Any -'), 'giftcard' => __('Gift Card in Cart'), 'products' => __('Products in Cart'), 'product_custom_options' => __('Product Custom Options in Cart'), 'product_attributes' => __('Product Attributes in Cart')];
    }
}
